DateFormatCache (Apache Tomcat 9.0.75 API Documentation)

Package org.apache.juli

## Class DateFormatCache

- java.lang.Object
- - org.apache.juli.DateFormatCache

-     public class DateFormatCache
      extends java.lang.Object

  Cache structure for SimpleDateFormat formatted timestamps based on seconds.

  Millisecond formatting using S is not supported. You should add the millisecond information after getting back the second formatting.

  The cache consists of entries for a consecutive range of seconds. The length of the range is configurable. It is implemented based on a cyclic buffer. New entries shift the range.

  The cache is not threadsafe. It can be used without synchronization via thread local instances, or with synchronization as a global cache.

  The cache can be created with a parent cache to build a cache hierarchy. Access to the parent cache is threadsafe.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static char` | `MSEC_PATTERN` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DateFormatCache​(int size, java.lang.String format, DateFormatCache parent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getFormat​(long time)` |
    `java.lang.String` | `getTimeFormat()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MSEC_PATTERN

          public static final char MSEC_PATTERN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DateFormatCache

          public DateFormatCache​(int size,
                                 java.lang.String format,
                                 DateFormatCache parent)

  - ### Method Detail

    - #### getFormat

          public java.lang.String getFormat​(long time)

    - #### getTimeFormat

          public java.lang.String getTimeFormat()